package org.project.item.weapons;

import org.project.entity.Entity;

import java.util.ArrayList;


public class Sword extends Weapon{

    private int abilityCharge;
    private static int MAX_CHARGE = 3;

    public Sword() {
        super("Sword",12,10);
    }

    public boolean charge() {
        abilityCharge++;
        if (abilityCharge >= MAX_CHARGE) {
            abilityCharge = 0;
            System.out.println("Charged Strike!");
            return true;
        }
        return false;
    }

}
